vinagre (3.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Oct 2015 21:37:47 +0200

vinagre (3.18.0-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Remove Debian menu entry.

  [ Andreas Henriksson ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 23 Sep 2015 10:12:02 +0200

vinagre (3.16.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Thu, 21 May 2015 00:23:10 +0200

vinagre (3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/revert-appstream-usage.patch and build-depend against
    appstream-util
  * debian/control.in: Bump Standards-Version to 3.9.6 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 20 Oct 2014 01:10:17 +0200

vinagre (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - Switch from libvte-2.90-dev to libvte-2.91-dev
    - Bump libfreerdp-dev to >= 1.1
  * Drop gnome-icon-theme recommends
    - it's now called adwaita-icon-theme and we'll just rely on
      gtk+ pulling in a decent icon theme for us from now on.
  * Drop debian/patches (all of them included in new upstream release)
    - 01_Use-FreeRDP-API-in-RDP.patch
    - 02_Request-RDP-certificate-verification.patch
    - 03_Avoid-yes-no-buttons-in-certificate-dialogs.patch
  * Add debian/patches/revert-appstream-usage.patch
    - reverts upstream switch to appstream-glib which is not yet
      in Debian, see #752900

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 25 Sep 2014 19:20:09 +0200

vinagre (3.12.2-2) unstable; urgency=medium

  * d/p/01_Use-FreeRDP-API-in-RDP.patch,
    d/p/02_Request-RDP-certificate-verification.patch,
    d/p/03_Avoid-yes-no-buttons-in-certificate-dialogs.patch:
    Use FreeRDP API to manage user interractions (authentication and
    certificate fingerprint verification (Closes: #757911))
  * debian/control.in: Add libfreerdp-dev to the build-dependencies
  * debian/rules, debian/control.in: Call autoreconf and enable hardening
    flags

 -- Laurent Bigonville <bigon@debian.org>  Tue, 26 Aug 2014 15:09:21 +0200

vinagre (3.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 16 May 2014 20:01:46 +0200

vinagre (3.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 09 May 2014 21:07:52 +0200

vinagre (3.12.0-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * New upstream release (3.10.2).
  * debian/control.in:
    - Update Homepage URL
    - Bump Standards-Version to 3.9.5 (no further changes)
    - Add libspice-client-gtk-3.0-dev to build-dependency for
      linux-{amd64,i386} architectures (Closes: #726631)

  [ Andreas Henriksson ]
  * New upstream release (3.12.0)

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Mar 2014 22:52:23 +0100

vinagre (3.10.1-1) experimental; urgency=low

  * New upstream release.
  * Bump build-dependency on libgtk-3-dev to >= 3.9.6.
  * Update vinagre Recommends on rdesktop to freerdp-x11
    - upstream switched to use xfreerdp instead of rdesktop

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Oct 2013 11:42:06 +0200

vinagre (3.8.3-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 22 Aug 2013 16:15:57 +0200

vinagre (3.8.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control.in:
    + Remove obsolete libx11-dev build dependency.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 25 May 2013 16:17:29 +0200

vinagre (3.8.0-1) experimental; urgency=low

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 04 Apr 2013 14:27:06 +0200

vinagre (3.7.91-1) experimental; urgency=low

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 13 Mar 2013 13:51:46 +0100

vinagre (3.6.0-1) experimental; urgency=low

  [ Andreas Henriksson ]
  * New upstream release
  * Update build-dependencies according to configure.ac changes:
    + Bump intltool (>= 0.40.0) to (>= 0.50.0).
    + Drop libgnome-keyring-dev in favor of libsecret-1-dev.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 12 Nov 2012 18:20:14 +0000

vinagre (3.4.2-1) unstable; urgency=low

  * New upstream translation release.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 May 2012 19:01:05 +0200

vinagre (3.4.1-1) unstable; urgency=low

  * New upstream translation release.
  * Update Vcs-* URLs.
  * Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Apr 2012 17:20:01 +0200

vinagre (3.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 28 Mar 2012 15:06:23 +0200

vinagre (3.3.92-1) experimental; urgency=low

  * New upstream development release.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Mar 2012 07:27:52 +0100

vinagre (3.3.4-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * New upstream release.
  * debian/control.in:
    - Standards-Version 3.9.3
    - Build-depend on yelp-tools instead of gnome-doc-utils
  * debian/rules:
    - Re-enable -Wl,--as-needed

  [ Michael Biebl ]
  * Remove obsolete --disable-scrollkeeper configure flag.

 -- Michael Biebl <biebl@debian.org>  Fri, 16 Mar 2012 15:12:37 +0100

vinagre (3.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 Nov 2011 22:29:54 +0100

vinagre (3.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    - Track .xz tarballs.

 -- Michael Biebl <biebl@debian.org>  Tue, 18 Oct 2011 02:47:39 +0200

vinagre (3.2.0-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies:
    - Drop gobject-introspection, gir1.2-telepathyglib-0.12 and libpeas-dev.
    - Bump libglib2.0-dev to (>= 2.28.0).
    - Bump libtelepathy-glib-dev to (>= 0.11.6).
    - Add valac (>= 0.12.0).
  * Drop vinagre-dev package. Upstream no longer installs any header or
    pkg-config files and there are no more rdeps.
  * debian/rules:
    - Remove .la files manually as we have a single binary package now and no
      more .install files.
    - Drop DEB_DH_GIREPOSITORY_ARGS_ALL, no longer needed.
    - Disable -Wl,--as-needed as this breaks loading the SSH and RDP plugin.
  * Add Recommends on rdesktop for RDP support and update list of supported
    protocols accordingly.

 -- Michael Biebl <biebl@debian.org>  Wed, 28 Sep 2011 21:49:04 +0200

vinagre (3.0.2-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Swich to .bz2 tarballs.
  * Remove patches merged upstream:
    - debian/patches/00_check_for_dbus_glib.patch
    - debian/patches/01_gettext_configure_ac_fixes.patch
  * Stop using dh-autoreconf, no longer necessary:
    - Remove autoreconf.mk include from debian/rules.
    - Remove Build-Depends on dh-autoreconf and gnome-common.
  * debian/vinagre.install:
    - Install .js plugin files.
  * debian/control:
    - Add gir:Depends to vinagre.
    - Add Build-Depends on gir1.2-telepathyglib-0.12. Can be removed again as
      soon as #633952 has been fixed.
  * debian/rules:
    - Set DEB_DH_GIREPOSITORY_ARGS_ALL so dh_girepository can find the
      dependencies in the private /usr/lib/vinagre-3.0/girepository-1.0/
      directory.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Jul 2011 12:56:58 +0200

vinagre (3.0.1-1) experimental; urgency=low

  [ Andreas Henriksson ]
  * New upstream release.
  * Update build-dependencies:
    - bump versions according to configure.ac
    - switch to gtk3 abi versions of some libraries
    - drop gconf (now uses gsettings), add libpeas
  * Make vinagre Recommend gnome-icon-theme as per configure warning.
  * debian/rules:
    - The configure arguments --enable-{avahi,telepathy} are now --with-...
    - Don't try to remove COPYING and INSTALL, not installed upstream anymore.
  * Temporarily disable telepathy support as it fails to build (link),
    fix will be part of next upstream release...
  * debian/vinagre.install:
    - Install plugins by their new path and extension.
    - Don't try to install bonobo etc. which no longer exists.

  [ Michael Biebl ]
  * debian/control.in
    - Bump Standards-Version to 3.9.2. No further changes.
  * Bump debhelper compatibility to 8.
    - Update Build-Depends on debhelper.
    - Strip leading debian/tmp/ from .install files.

  [ Sjoerd Simons ]
  * debian/vinagre.install: Install the typelib, otherwise the protocol plugins
    won't work
  * debian/patches/01_gettext_configure_ac_fixes.patch:
    + Added. Don't mix intltool and gettext macros, this breaks things for
      autoreconf (from upstream git)
  * debian/patches/debian/patches/00_check_for_dbus_glib.patch:
    + Addd. Check for dbus-glib for telepathy (from upstream git)
  * debian/rules: Use autoreconf
  * debian/rules: Explictely enable telepathy integration
  * debian/rules: add list-missing rule
  * debian/control.in: Add dh-autoreconf, gnome-common and
      gobject-introspection to the build-depends
  * debian/control.in: Version b-d on libgtk-vnc-2.0-0 to the version with
    corrected dependencies

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 05 Jun 2011 17:23:45 -0700

vinagre (2.30.3-1) unstable; urgency=low

  * New upstream stable release (updated translations only).
  * Bump Standards-Version to 3.9.1. No further changes.

 -- Michael Biebl <biebl@debian.org>  Fri, 29 Oct 2010 01:04:15 +0200

vinagre (2.30.2-1) unstable; urgency=low

  * New upstream stable release.
    - Remove password limit for SSH connections. Closes: #580323.
  * Bump-Standards-Version to 3.9.0. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Jul 2010 05:04:37 +0200

vinagre (2.30.1-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Switch to dpkg-source v3.
  * 01_missing_symbol.patch: stolen upstream. Fix a crash in the SSH 
    plugin. Closes: #579693.

  [ Sebastian Dröge ]
  * New upstream bugfix release:
    + debian/patches/01_missing_symbol.patch:
      - Dropped, merged upstream.
    + debian/control.in:
      - Update telepathy-glib build dependency to >= 0.9.0.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 04 May 2010 15:35:42 +0200

vinagre (2.30.0-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    - vinagre-dev is section devel.
    - Remove Andrea from Uploaders, he's in pkg-gnome.team so will be
      added as appropriate.

  [ Sebastian Dröge ]
  * New upstream stable release:
    + debian/control.in:
      - Update build dependencies.
  * debian/control.in:
    + Updated Standards-Version to 3.8.4.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Apr 2010 07:18:11 +0200

vinagre (2.28.1-1) unstable; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 22 Oct 2009 20:43:41 +0200

vinagre (2.28.0.1-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Point Vcs-* to the unstable branch.
  * Update my email address.

  [ Andrea Veri ]
  * New upstream release.
  * debian/control.in:
   - Bumped Standards-version to latest 3.8.3. No changes
     needed.
   - added myself into uploaders field.
   - added vinagre-dev new binary file, it will contain all development 
     files for producing Vinagre plugins.
   - bumped libgtk-vnc-1.0-dev to >= 0.3.9 as per configure.ac
     requirements.
   - added libxml2-dev >= 2.6.31 as per configure.ac requirements.
   - added libtelepathy-glib-dev >= 0.7.31, as per configure.ac
     requirements.
   - added libvte-dev >= 0.20 as per configure.ac requirements.
   - removed libglade2-dev B-D, it's no more needed.
   - added a depends on vinagre for the vinagre-dev package.
   - updated both short and long descriptions to let users know that
     vinagre now supports multiple protocols. (not just VNC)
  * debian/copyright:
   - added missing copyright holders that were missing.
  * debian/vinagre-dev.install:
   - added to have vinagre-dev binary files installed correctly.
  * debian/vinagre.install:
   - added to have vinagre binary files installed correctly.

  [ Emilio Pozuelo Monfort ]
  * Unduplicate vinagre and vinagre-dev synopses.
  * Improve long descriptions to mention all the supported protocols.
  * Switch vinagre-dev to arch:any to avoid instalability issues.
  * Tighten vinagre-dev dependency on vinagre.
  * Let vinagre-dev depend on libgtk2.0-dev and libxml2-dev as required by
    the pkg-config file.
  * Build with --enable-ssh and --enable-telepathy to make sure they're not
    accidentally disabled.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 23 Sep 2009 17:37:55 +0200

vinagre (2.26.2-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Build-depend on docbook-xml. Closes: #518461.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
  * Require libgtk-vnc-1.0-dev 0.3.8.
  * debian/copyright: updated.
  * Standards-Version is 3.8.1, no changes needed.
  * debian/menu: added.

  [ Josselin Mouette ]
  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Mon, 01 Jun 2009 11:12:43 +0200

vinagre (2.24.2-2) unstable; urgency=low

  * debian/watch: only track stable releases.
  * debian/rules: Restore accidentally removed code that removes useless
    files.
  * Upload to unstable
    - debian/rules: remove check-dist include.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Wed, 04 Mar 2009 23:37:34 +0100

vinagre (2.24.2-1) experimental; urgency=high

  * New upstream release with a security fix.
    - Update build dependencies.
  * Update Vcs-* headers.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Fri, 05 Dec 2008 23:39:31 +0100

vinagre (2.23.4-1) experimental; urgency=low

  * New upstream releases:
    - Fixes scrolling. Closes: #482564.
    - Added a gconf option to disable all menu shortcuts.
      Closes: #465606, LP: #223060.
    - Persist changes in menu shortcuts. LP: #233918.
    - Rework 'connect' and 'edit bookmark' dialogs so it's possible to
      specify options like scaling, fullscreen... LP: #205253.
    - debian/copyright: updated
    - debian/control: b-d on libpanel-applet2-dev, required for the
      new applet.
    - debian/NEWS: document the bookmark migration from
      ~/.gnome2/vinagre.bookmarks to ~/.local/share/vinagre.
  * Update Standards-Version. No changes needed.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Tue, 08 Jul 2008 21:56:06 +0200

vinagre (2.23.2-1) experimental; urgency=low

  * New upstream release:
    - Update gtk-vnc requirement to 0.3.6.
    - Update debian/copyright.
  * debian/watch:
    - Don't run 'debian uupdate', as packaging is handled by svn-bp.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Mon, 12 May 2008 20:11:34 +0200

vinagre (2.23.1-1) experimental; urgency=low

  * New upstream unstable release.
  * debian/rules: add check-dist include.
  * debian/control{.in,}:
    - Bump libgtk-vnc-1.0-dev build-dependency to 0.3.5
    - Bump libavahi-ui-dev and add libavahi-gobject-dev, >= 0.6.22
  * debian/copyright: Updated.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Mon, 05 May 2008 19:55:51 +0200

vinagre (0.5.1-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Drop dh_icons calls; build-depend on cdbs 0.4.52.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Mon, 07 Apr 2008 16:39:06 +0200

vinagre (0.5.0-1) unstable; urgency=low

  * New upstream stable release with only updated translations.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Mon, 10 Mar 2008 19:47:07 +0100

vinagre (0.4.92-1) experimental; urgency=low

  * New upstream release; bug fixes and translations.

 -- Loic Minier <lool@dooz.org>  Mon, 25 Feb 2008 15:55:55 +0100

vinagre (0.4.91-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * New upstream releases.
  * debian/control:
    - Bump libgtk2.0-dev build dependency to >= 2.12.0.
    - Bump libglib2.0-dev build dependency to >= 2.15.3.
    - Bump libgtk-vnc-1.0-dev build dependency to >= 0.3.3.
    - Remove libgnome-vfs2.0 build dependency, not needed anymore.
    - Build depend on gnome-doc-utils (>= 0.3.2).
    - Build depend on gconf2. Vinagre now registers itself as
      a handler for the vnc:// protocol.
  * debian/rules:
    - Disable scrollkeeper on build.
  * debian/vinagre.1,
    debian/vinagre.manpages:
    - Removed, as they are now included upstream.

  [ Loic Minier ]
  * Pass -p$(cdbs_curpkg) to dh_icons and bump debhelper build-dep to >=
    5.0.51~ thanks to lintian as this is the first version where this binary
    was added.
  * Cleanups.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Mon, 18 Feb 2008 11:54:31 +0100

vinagre (0.4-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Initial upload to Debian, stolen from Ubuntu. Closes: #442403.
  * New upstream release.
  * Set myself as Maintainer and the Debian GNOME Team as Uploader.
  * debian/control:
    - Bump libgtk-vnc-1.0-dev build dependency to 0.3.
    - Added libgnome-keyring-dev and libgnomevfs2-dev to Build-Depends.
    - Bump Standards-Version to 3.7.3.
    - Wrap Build-Depends.
    - Add Homepage, Vcs-Browser and Vcs-Svn fields.
    - Reworked long description.
  * debian/rules:
    - Don't manually gzip upstream's ChangeLog. Let CDBS/debhelper do
      the work.
    - Call dh_icons in binary-install rule, as gnome.mk doesn't call it yet.
      This is reported as #432851.
  * debian/vinagre.1:
    - Rewritten.

  [ Josselin Mouette ]
  * Fix the build-dependencies according to configure.ac's contents.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Sun, 13 Jan 2008 13:20:06 +0100

vinagre (0.3-0ubuntu2) hardy; urgency=low

  * Sponsor the package from Fernando Ribeiro (LP: #134560)
  * debian/control.in:
     - updated libgtk-vnc-1.0-dev Build-Depends
     - use correct XSBC-Original-Maintainer
  * debian/copyright:
     - use the correct GPL versions

 -- Sebastien Bacher <seb128@canonical.com>  Wed, 14 Nov 2007 14:56:52 +0100

vinagre (0.3-0ubuntu1) gutsy; urgency=low

  * New upstream release
  * debian/watch:
    - Updated
  * debian/control.in:
    - Updated libgtk-vnc-dev to (>= 0.2) instead (>= 0.1)

 -- Fernando Ribeiro <fernando@staff.nerdgroup.org>  Fri, 14 Sep 2007 10:14:46 -0300

vinagre (0.2-0ubuntu3) gutsy; urgency=low

  * debian/control.in:
    - Droped python-central (unecessary)
    - Fixed description
    - Fixed Maintainer to MOTU
  * debian/copyright:
    - Fixed copyright year
  * debian/vinagre.1:
    - Added
  * debian/vinagre.manpages:
    - Added
  * debian/docs:
    - Droped (unecessary)

 -- Fernando Ribeiro <fernando@staff.nerdgroup.org>  Thu, 13 Sep 2007 10:21:38 -0300

vinagre (0.2-0ubuntu2) gutsy; urgency=low

  * Fixed description

 -- Fernando Ribeiro <fernando@staff.nerdgroup.org>  Tue, 11 Sep 2007 15:57:21 -0300

vinagre (0.2-0ubuntu1) gutsy; urgency=low

  * Initial Release.

 -- Fernando Ribeiro <fernando@staff.nerdgroup.org>  Wed, 29 Aug 2007 14:02:57 -0300
